Summary: A binary file delta generator
Name: xdelta
Version: 3.0.11
Release: 1
License: GPLv2
Group: Development/Tools
Source0: http://xdelta.googlecode.com/files/%{name}3-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
Patch1: %{name}-3.0.6-man-page-day.patch
URL: http://xdelta.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: make, patch
BuildRequires: xz-devel >= 5.2.3-1
Requires: xz-libs >= 5.2.3-1

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley) is
a binary delta generator (like a diff program for binaries) and an RCS
version control replacement library. Xdelta uses a binary file delta
algorithm to replace the standard diff program used by RCS.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q

for all in `find . -type f -perm -001 | egrep '(Makefile|README|.*[ch]$)'`; do
    chmod -x "$all"
done

%patch0
%patch1 -p1 -b .man-page-day

cd xdelta3
chmod -x COPYING xdelta3.1 *.txt *.vcxproj *.wxi *.wxs

autoreconf -fiv


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

CC="xlc_r -D_LARGE_FILES"
CXX="xlC_r -D_LARGE_FILES"

cd xdelta3

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd xdelta3
gmake install DESTDIR=${RPM_BUILD_ROOT}
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Create compat symlinks
cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s xdelta3 xdelta

cd ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s xdelta3.1 xdelta.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc xdelta3/README xdelta3/COPYING
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Wed Sep 20 2017 Michael Perzl <michael@perzl.org> - 3.0.11-1
- updated to version 3.0.11

* Wed Sep 20 2017 Michael Perzl <michael@perzl.org> - 3.0.10-1
- updated to version 3.0.10

* Wed Sep 20 2017 Michael Perzl <michael@perzl.org> - 3.0.9-1
- updated to version 3.0.9

* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.8-1
- updated to version 3.0.8

* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.6-1
- updated to version 3.0.6

* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.5-1
- updated to version 3.0.5

* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.4-1
- updated to version 3.0.4

* Mon Aug 18 2014 Michael Perzl <michael@perzl.org> - 3.0.3-1
- updated to version 3.0.3

* Tue Jan 25 2011 Michael Perzl <michael@perzl.org> - 3.0.0-1
- first version for AIX V5.1 and higher
